Glib::Timer Class Reference

Portable stop watch interface. More...

`#include <glibmm/timer.h>`

## Public Member Functions

| Timer ()
| Create a new timer. More...
| ~Timer () noexcept
| Timer (const Timer&)=delete
Timer& | operator= (const Timer&)=delete
void | start ()
void | stop ()
void | reset ()
double | elapsed () const
| Get the elapsed time. More...
double | elapsed (unsigned long&microseconds) const
| Get the elapsed time. More...

## Detailed Description

Portable stop watch interface.

This resembles a convient and portable timer with microseconds resolution.

## Constructor & Destructor Documentation

## Timer() [1/2]

Glib::Timer::Timer | ( |  | ) |

Create a new timer.

Also starts timing by calling start() implicitly.

## ~Timer()

Glib::Timer::~Timer | ( |  | ) |

noexcept

## Timer() [2/2]

Glib::Timer::Timer | ( | const Timer& |  | ) |

delete

## Member Function Documentation

## elapsed() [1/2]

double Glib::Timer::elapsed | ( |  | ) | const

Get the elapsed time.

Returns
  The value in seconds.

## elapsed() [2/2]

double Glib::Timer::elapsed | ( | unsigned long & | microseconds | ) | const

Get the elapsed time.

Returns
  The value in seconds. Also fills `microseconds` with the corresponding µs value.

## operator=()

Timer& Glib::Timer::operator= | ( | const Timer& |  | ) |

delete

## reset()

void Glib::Timer::reset | ( |  | ) |

## start()

void Glib::Timer::start | ( |  | ) |

## stop()

void Glib::Timer::stop | ( |  | ) |